Net::DNS::RR::KX(3)

NAME
Net::DNS::RR::KX - DNS KX resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Key Exchanger (MX) resource record (RFC 2230).

This class inherets most of its functionality directly from the MX RR.

METHODS

  preference
    print "preference = ", $rr->preference, "\n";

Returns the preference for this mail exchange.

  exchange
    print "exchange = ", $rr->exchange, "\n";

Returns name of this mail exchange.

COPYRIGHT
Portions Copyright (c) 2009 Olaf Kolkman NLnet Labs.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC2230